/*******************************************************************************
**3456789 123456789 123456789 123456789 123456789 123456789 123456789 123456789
**      10        20        30        40        50        60        70        80
**
** digitally-imported
**
** an UbuntuTouch frontend for DigitallyImported's music-service
**
** Copyright 2013 Mirco "MacSlow" Müller <macslow@gmail.com>
**
** This program is free software: you can redistribute it and/or modify it
** under the terms of the GNU General Public License version 3, as published
** by the Free Software Foundation.
**
** This program is distributed in the hope that it will be useful, but
** WITHOUT ANY WARRANTY; without even the implied warranties of
** MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
** PURPOSE.  See the GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License along
** with this program.  If not, see <http://www.gnu.org/licenses/>.
**
*******************************************************************************/

#include <QQuickView>
#include <QApplication>
#include <QtQml>
#include <gst/gst.h>

#include "player.h"

int main(int argc, char *argv[])
{
	QApplication app(argc, argv);
	qmlRegisterType<Player>("Player", 0, 1, "Player");
	gst_init (&argc, &argv);

	QQuickView* view = new QQuickView;
	view->setSource(QUrl::fromLocalFile("./digitally-imported.qml"));
	view->show();

	return app.exec();
}
